org.eclipse.rdf4j.federated.algebra

## Class EmptyStatementPattern

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.StatementPattern
    - - org.eclipse.rdf4j.federated.algebra.EmptyStatementPattern

- All Implemented Interfaces:
    Serializable, Cloneable, BoundJoinTupleExpr, EmptyResult, GraphPatternGroupable, QueryModelNode, TupleExpr, VariableScopeChange

      public class EmptyStatementPattern
      extends StatementPattern
      implements EmptyResult, BoundJoinTupleExpr

  EmptyStatementPattern represents a statement that cannot produce any results for the registered endpoints.
  Author:
    Andreas Schwarte
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.query.algebra.StatementPattern

      `StatementPattern.Scope`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyStatementPattern(StatementPattern node)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<X extends Exception> void` | `visit(QueryModelVisitor<X> visitor)` Visits this node.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.StatementPattern

      `clone, equals, getAssuredBindingNames, getBindingNames, getContextVar, getObjectVar, getPredicateVar, getScope, getSignature, getSubjectVar, getVarList, getVars, hashCode, replaceChildNode, setContextVar, setObjectVar, setPredicateVar, setScope, setSubjectVar, visitChildren`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getTotalTimeNanosActual, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString`

- - ### Constructor Detail

    - #### EmptyStatementPattern

          public EmptyStatementPattern(StatementPattern node)

  - ### Method Detail

    - #### visit

          public <X extends Exception> void visit(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Specified by:
        `visit` in interface `QueryModelNode`
      Overrides:
        `visit` in class `StatementPattern`
      Throws:
        `X extends Exception`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.